tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "David Boyer" <Da...@bvu.edu>
Subject Re: Q: ISAPI filter for JK 1.2.7-beta Visual C++ requirements
Date Wed, 01 Dec 2004 13:08:57 GMT
Thanks! That did the trick. I have the latest version of Visual Studio
.Net on another system, and it sounds like it'd be better to use to get
the full logger features.


>>> mturk@apache.org 12/1/2004 1:05:19 AM >>>

David Boyer wrote:
> I'm attempting to build this from source, and I'm getting several
errors
> related to an undeclared identifier '__FUNCTION__'.
>  
> Visual C++ 7 supports __FUNCTION__, but VC+All+ 6.0 does not.
>  
> Does anyone know if this is an intended change in the build
> requirements, or am I just doing something wrong?
> 

No it's not intended. I don't use VC6 for years :)

Just replace the line in jk_logger.h
from:
#if defined(__GNUC__) || defined(_MSC_VER)
with:
#if defined(__GNUC__) || (defined(_MSC_VER) && (_MSC_VER > 1200))

The logger will have less features, but it'll compile.

MT.

---------------------------------------------------------------------
To unsubscribe, e-mail: tomcat-user-unsubscribe@jakarta.apache.org
For additional commands, e-mail: tomcat-user-help@jakarta.apache.org



Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message